## edu.stanford.nlp.trees
Interface HeadFinder

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractCollinsHeadFinder, ChineseHeadFinder, CollinsHeadFinder, ModCollinsHeadFinder, SemanticHeadFinder

    public interface HeadFinder

extends Serializable

An interface for finding the "head" daughter of a phrase structure tree. This could potentially be any sense of "head", but has mainly been used to find the lexical head for lexicalized PCFG parsing.

Author:
  Christopher Manning

Method Summary
`Tree` `determineHead(Tree t)` Determine which daughter of the current parse tree is the head.
`Tree` `determineHead(Tree t, Tree parent)` Determine which daughter of the current parse tree is the head given the parent of the tree.

Method Detail

### determineHead

    Tree determineHead(Tree t)

  Determine which daughter of the current parse tree is the head. It assumes that the daughters already have had their heads determined. Another method has to do the tree walking.

  Parameters:
    `t` - The parse tree to examine the daughters of
  Returns:
    The parse tree that is the head. The convention has been that this returns `null` if no head is found. But maybe it should throw an exception?

### determineHead

    Tree determineHead(Tree t,
                       Tree parent)

  Determine which daughter of the current parse tree is the head given the parent of the tree. It assumes that the daughters already have had their heads determined. Another method has to do the tree walking.

  Parameters:
    `t` - The parse tree to examine the daughters of
    `parent` - The parent of tree t
  Returns:
    The parse tree that is the head. The convention has been that this returns `null` if no head is found. But maybe it should throw an exception?

Stanford NLP Group